import 'package:flutter/material.dart';
import '/app/route.dart';

import '../../app/constant.dart';

class KonfirmasiScreen extends StatelessWidget {
  const KonfirmasiScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: true,
      backgroundColor: Constant.backgroundWhite,
      body: SizedBox(
        width: Constant.getActualX(context: context, x: 390),
        height: Constant.getActualY(context: context, y: 844),
        child: Column(
          children: [
            // image
            Padding(
              padding: EdgeInsets.only(
                top: Constant.getActualY(context: context, y: 196),
                left: Constant.getActualX(context: context, x: 30),
                right: Constant.getActualX(context: context, x: 30),
              ),
              child: Container(
                // width: Constant.getActualX(context: context, x: 251),
                // height: Constant.getActualY(context: context, y: 78),
                // color: Colors.green,
                child: Image.asset(
                  "assets/logo_kurir_konfirmasiv2.png",
                  // fit: BoxFit.fill,
                  // scale: 1,
                ),
              ),
            ),
            SizedBox(
              height: Constant.getActualY(context: context, y: 40),
            ),
            SizedBox(
              width: Constant.getActualX(context: context, x: 268),
              height: Constant.getActualY(context: context, y: 40),
              child: Text(
                'Input pekerjaan baru berhasil. Harap menunggu konfirmasi.',
                style: Constant.body3(
                  context: context,
                ).copyWith(fontWeight: FontWeight.w600),
              ),
            ),
            SizedBox(
              height: Constant.getActualY(context: context, y: 68),
            ),
            // button konfirmasi
            SizedBox(
              width: Constant.getActualX(context: context, x: 320),
              height: Constant.getActualY(context: context, y: 46),
              child: ElevatedButton(
                onPressed: () {
                  Navigator.of(context)
                      .pushNamedAndRemoveUntil(menuRoute, (route) => false);
                },
                style: ButtonStyle(
                  backgroundColor: MaterialStateColor.resolveWith(
                      (st) => Constant.primaryDark),
                  shape: MaterialStateProperty.all<RoundedRectangleBorder>(
                    RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(8),
                      // side: BorderSide(color: Colors.red),
                    ),
                  ),
                  shadowColor: MaterialStateProperty.all(Color(0xffff48423d)),
                  elevation: MaterialStateProperty.all(4.0),
                ),
                child: Align(
                  alignment: Alignment.center,
                  child: Text(
                    'Kembali ke Beranda',
                    style: Constant.buttonLarge(context: context).copyWith(
                      color: Constant.backgroundWhite,
                      fontWeight: FontWeight.w700,
                    ),
                  ),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
